package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.TCodStation;
import cn.cecep.talroad.vo.TCodStationVo;
import cn.cecep.talroad.vo.query.FindSequenceDataQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 大气环境、水环境站点Service接口
 */
public interface ITCodStationService extends IService<TCodStation> {

    List<TCodStationVo> getStationList(TCodStationVo.SearchVo searchVo);

    TCodStationVo.Air getAirStationDetail(String id);

    TCodStationVo.Water getWaterStationDetail(String id);

    List<Map<String, Object>> findStationPullData();

    Map<String, Object> findSequenceData(FindSequenceDataQuery findSequenceDataQuery);

    List<Map<String, Object>> stationRank(String factorName, String monitorTime);
}
